Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package classpath
  Definition Classes
    nsc
- AggregateClassPath
- ClassFileEntry
- ClassPathEntries
- ClassPathFactory
- DirectoryClassPath
- DirectoryLookup
- DirectorySourcePath
- FileUtils
- JFileDirectoryLookup
- JrtClassPath
- PackageEntry
- PackageNameUtils
- SourceFileEntry
- VirtualDirectoryClassPath
- ZipAndJarClassPathFactory
- ZipAndJarFileLookupFactory
- ZipAndJarSourcePathFactory
- ZipArchiveFileLookup

c

scala.tools.nsc.classpath

# JrtClassPath 

###
Companion object JrtClassPath

#### final class JrtClassPath extends ClassPath with NoSourcePaths

Implementation `ClassPath` based on the JDK 9 encapsulated runtime modules (JEP-220)

https://bugs.openjdk.java.net/browse/JDK-8066492 is the most up to date reference for the structure of the jrt:// filesystem.

The implementation assumes that no classes exist in the empty package.

Source
  DirectoryClassPath.scala

Linear Supertypes
NoSourcePaths, ClassPath, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. JrtClassPath
2. NoSourcePaths
3. ClassPath
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new JrtClassPath(fs: FileSystem)

### Type Members

1.  type F = Path

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from JrtClassPath to any2stringadd[JrtClassPath] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (JrtClassPath, B)
   Implicit
     This member is added by an implicit conversion from JrtClassPath to ArrowAssoc[JrtClassPath] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def asClassPathString: String

   The whole classpath in the form of one String.

   The whole classpath in the form of one String.

   Definition Classes
     ClassPath
7.  def asClassPathStrings: Seq[String]
   Definition Classes
     JrtClassPath → ClassPath
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def asSourcePathString: String
   Definition Classes
     NoSourcePaths
10.  def asURLs: Seq[URL]
    Definition Classes
      JrtClassPath → ClassPath
11.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
12.  def ensuring(cond: (JrtClassPath) ⇒ Boolean, msg: ⇒ Any): JrtClassPath
    Implicit
      This member is added by an implicit conversion from JrtClassPath to Ensuring[JrtClassPath] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: (JrtClassPath) ⇒ Boolean): JrtClassPath
    Implicit
      This member is added by an implicit conversion from JrtClassPath to Ensuring[JrtClassPath] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean, msg: ⇒ Any): JrtClassPath
    Implicit
      This member is added by an implicit conversion from JrtClassPath to Ensuring[JrtClassPath] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean): JrtClassPath
    Implicit
      This member is added by an implicit conversion from JrtClassPath to Ensuring[JrtClassPath] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
18.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
19.  def findClass(className: String): Option[ClassRepresentation]

    It returns both classes from class file and source files (as our base ClassRepresentation).

    It returns both classes from class file and source files (as our base ClassRepresentation). So note that it's not so strictly related to findClassFile.

    Definition Classes
      ClassPath
20.  def findClassFile(className: String): Option[AbstractFile]
    Definition Classes
      JrtClassPath → ClassPath
21.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from JrtClassPath to StringFormat[JrtClassPath] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
22.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
23.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
24.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
25.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  final def notify(): Unit
    Definition Classes
      AnyRef
27.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
28.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
29.  def toString(): String
    Definition Classes
      AnyRef → Any
30.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
33.  def →[B](y: B): (JrtClassPath, B)
    Implicit
      This member is added by an implicit conversion from JrtClassPath to ArrowAssoc[JrtClassPath] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Deprecated Value Members

1.  def asClasspathString: String
   Definition Classes
     ClassPath
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.5) use asClassPathString instead of this one

### Inherited from NoSourcePaths

### Inherited from ClassPath

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from JrtClassPath to any2stringadd[JrtClassPath]

### Inherited by implicit conversion StringFormat from JrtClassPath to StringFormat[JrtClassPath]

### Inherited by implicit conversion Ensuring from JrtClassPath to Ensuring[JrtClassPath]

### Inherited by implicit conversion ArrowAssoc from JrtClassPath to ArrowAssoc[JrtClassPath]

### Ungrouped